Package org.opensaml.saml.saml2.assertion.impl

# Class BearerSubjectConfirmationValidator

java.lang.Object
org.opensaml.saml.saml2.assertion.impl.AbstractSubjectConfirmationValidator
org.opensaml.saml.saml2.assertion.impl.BearerSubjectConfirmationValidator

All Implemented Interfaces:
  `SubjectConfirmationValidator`

@ThreadSafe public class BearerSubjectConfirmationValidator extends AbstractSubjectConfirmationValidator
Validates a bearer subject confirmation.

Supports the following `ValidationContext` static parameters:

- None.

Supports the following `ValidationContext` dynamic parameters:

- None.

## Constructor Summary

Constructors
Constructor
Description
`BearerSubjectConfirmationValidator()`

## Method Summary

Modifier and Type
Method
Description
`protected ValidationResult`
`doValidate(SubjectConfirmation confirmation, Assertion assertion, ValidationContext context)`
Performs any further validation required for the specific confirmation method implementation.
`String`
`getServicedMethod()`
Gets the subject confirmation method handled by this validator.

### Methods inherited from class org.opensaml.saml.saml2.assertion.impl.AbstractSubjectConfirmationValidator

`isAddressRequired, isInResponseToIgnored, isInResponseToRequired, isNotBeforeRequired, isNotOnOrAfterRequired, isRecipientRequired, validate, validateAddress, validateInResponseTo, validateNotBefore, validateNotOnOrAfter, validateRecipient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BearerSubjectConfirmationValidator

public BearerSubjectConfirmationValidator()

## Method Details

### getServicedMethod

@Nonnull public String getServicedMethod()
Gets the subject confirmation method handled by this validator.

Returns:
  subject confirmation method handled by this validator

### doValidate

@Nonnull protected ValidationResult doValidate(@Nonnull SubjectConfirmation confirmation, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Performs any further validation required for the specific confirmation method implementation.

Specified by:
  `doValidate` in class `AbstractSubjectConfirmationValidator`
Parameters:
  `confirmation` - confirmation method being validated
  `assertion` - assertion bearing the confirmation method
  `context` - current validation context
Returns:
  the result of the validation evaluation
Throws:
  `AssertionValidationException` - thrown if further validation finds the confirmation method to be invalid